## django-memoize 2.1.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-SQLAlchemy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-SQLAlchemy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-SQLAlchemy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-SQLAlchemy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-memoize 2.0.0+dfsg

=== debian/changelog ===
django-memoize (2.0.0+dfsg-1) unstable; urgency=low

  * Initial Release. Closes: #830292

 -- Christopher Hoskin <christopher.hoskin@gmail.com>  Fri, 08 Jul 2016 20:51:02 +0100

=== debian/control ===
Source: django-memoize
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools, python3-setuptools, python-all, python3-all, debhelper (>= 9),
 python-django, python-django-setuptest, python-pep8,
 python3-django, python3-django-setuptest,
 python-sphinx | python3-sphinx
Standards-Version: 3.9.8
Homepage: https://pythonhosted.org/django-memoize/
Testsuite: autopkgtest-pkg-python

Package: python-django-memoize
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: implementation of memoization technique for Django (Python 2)
 django-memoize is an implementation of the memoization technique for Django.
 You can think of it as a cache for function or method results.
 .
 In memoization, the functions arguments are also included into the cache_key.
 Memoize is also designed for methods, since it will take into account the repr
 of the ‘self’ or ‘cls’ argument as part of the cache key. The theory behind 
 memoization is that if you have a function you need to call several times in 
 one request, it would only be calculated the first time that function is 
 called with those arguments. 
 .
 This is the Python 2 version of the package.

Package: python3-django-memoize
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: implementation of memoization technique for Django (Python 3)
 django-memoize is an implementation of the memoization technique for Django. 
 You can think of it as a cache for function or method results.
 .
 In memoization, the functions arguments are also included into the cache_key.
 Memoize is also designed for methods, since it will take into account the repr 
 of the ‘self’ or ‘cls’ argument as part of the cache key. The theory behind 
 memoization is that if you have a function you need to call several times in 
 one request, it would only be calculated the first time that function is 
 called with those arguments.
 .
 This is the Python 3 version of the package.

Package: python-django-memoize-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: implementation of memoization technique for Django (common documentation)
 django-memoize is an implementation of the memoization technique for Django.
 You can think of it as a cache for function or method results.
 .
 In memoization, the functions arguments are also included into the cache_key.
 Memoize is also designed for methods, since it will take into account the repr
 of the ‘self’ or ‘cls’ argument as part of the cache key. The theory behind
 memoization is that if you have a function you need to call several times in
 one request, it would only be calculated the first time that function is called
 with those arguments.
 .
 This is the common documentation package.

## django-memoize 2.1.0+dfsg

=== debian/changelog ===
django-memoize (2.1.0+dfsg-1) unstable; urgency=medium

  * Use my Debian ID in Uploaders
  * Add VCS fields to debian/control
  * New upstream release (2.1.0) 
  * Remove Testsuite from Control

 -- Christopher Hoskin <mans0954@debian.org>  Wed, 22 Feb 2017 20:13:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: django-memoize
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
+Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: python
 Priority: optional
 Build-Depends: dh-python, python-setuptools, python3-setuptools, python-all, python3-all, debhelper (>= 9),
@@ -8,8 +8,9 @@
  python3-django, python3-django-setuptest,
  python-sphinx | python3-sphinx
 Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-memoize.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-memoize.git
 Homepage: https://pythonhosted.org/django-memoize/
-Testsuite: autopkgtest-pkg-python
 
 Package: python-django-memoize
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Fri, 08 Jul 2016 20:51:02 +0100
export PYBUILD_NAME=django-memoize
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man # Manpage generator

override_dh_auto_test:
	python3 runtests.py

=== debian/tests/control ===
Test-Command: cd "$ADTTMP" ; python -c "import memoize; print memoize"
Depends: python-django-memoize

Test-Command: cd "$ADTTMP" ; python3 -c "import memoize; print(memoize)"
Depends: python3-django-memoize

=== debian/watch ===
# please also check http://pypi.debian.net/django-memoize/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
http://pypi.debian.net/django-memoize/django-memoize-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-memoize 2.1.1+dfsg

=== debian/changelog ===
django-memoize (2.1.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest for the removed Python 2 package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Aug 2019 13:02:52 +0300

django-memoize (2.1.1+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Christopher Hoskin ]
  * Import new upstream release (2.1.1)
  * Use my Debian address in copyright and patches
  * Mark packages Multi-Arch: foreign
  * Build depend on python3-sphinx not python-sphinx
  * Fix trailing white space in rules
  * Add upstream/metadata

  [ Thomas Goirand ]
  * Team upload.
  * Ran wrap-and-sort -bast.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2019 02:34:04 +0200

=== debian/control ===
Source: django-memoize
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Christopher Hoskin <mans0954@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-pep8,
 python3-all,
 python3-django,
 python3-django-setuptest,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-memoize
Vcs-Git: https://salsa.debian.org/python-team/modules/django-memoize.git
Homepage: https://pythonhosted.org/django-memoize/

Package: python-django-memoize-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: implementation of memoization technique for Django (common documentation)
 django-memoize is an implementation of the memoization technique for Django.
 You can think of it as a cache for function or method results.
 .
 In memoization, the functions arguments are also included into the cache_key.
 Memoize is also designed for methods, since it will take into account the repr
 of the ‘self’ or ‘cls’ argument as part of the cache key. The theory behind
 memoization is that if you have a function you need to call several times in
 one request, it would only be calculated the first time that function is called
 with those arguments.
 .
 This is the common documentation package.

Package: python3-django-memoize
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: implementation of memoization technique for Django (Python 3)
 django-memoize is an implementation of the memoization technique for Django.
 You can think of it as a cache for function or method results.
 .
 In memoization, the functions arguments are also included into the cache_key.
 Memoize is also designed for methods, since it will take into account the repr
 of the ‘self’ or ‘cls’ argument as part of the cache key. The theory behind
 memoization is that if you have a function you need to call several times in
 one request, it would only be calculated the first time that function is
 called with those arguments.

## django-memoize 2.2.0+dfsg

=== debian/changelog ===
django-memoize (2.2.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-sphinxdoc.
  * Use pybuild-plugin-pyproject.
  * Simplify a debhelper override.
  * Run tests on all supported Python versions.
  * Switch to autopkgtest-pkg-pybuild (closes: #974455).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 02:03:12 +0000

django-memoize (2.2.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Also remove python3-django-setuptest from build-depends.
  * Fix SyntaxWarning (Closes: #1085545)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 14 Jan 2025 20:54:23 +0100

django-memoize (2.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 09:30:08 +0100

django-memoize (2.2.0+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 19:38:06 +0100

django-memoize (2.2.0+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Apr 2022 22:00:32 -0400

django-memoize (2.2.0+dfsg-1) unstable; urgency=medium

  * Refresh patches after git-dpm to gbp pq conversion
  * New upstream release (2.2.0)
  * Bump debhelper-compat from 9 to 12
  * Bump Standards-Version from 3.9.8 to 4.4.0
  * Update copyright

 -- Christopher Hoskin <mans0954@debian.org>  Sat, 31 Aug 2019 08:20:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: django-memoize
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Christopher Hoskin <mans0954@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 9),
- dh-python,
- python3-pep8,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
- python3-django-setuptest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 3.9.8
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-memoize
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-memoize.git
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-memoize
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-memoize.git
 Homepage: https://pythonhosted.org/django-memoize/
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-memoize-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-memoize
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} runtests.py

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/ build/man # Manpage generator

=== debian/watch ===
# please also check https://pypi.debian.net/django-memoize/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://pypi.debian.net/django-memoize/django-memoize-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
